package com.schisandra.system.common.enums;

import lombok.Getter;

/**
 * 用户状态枚举
 * 
 * @author: schisandra
 */
@Getter
public enum OssStatusEnum {

    OPEN(0,"启用"),
    CLOSE(1,"禁用");

    public int code;

    public String desc;

    OssStatusEnum(int code, String desc){
        this.code = code;
        this.desc = desc;
    }

    public static OssStatusEnum getByCode(int codeVal){
        for(OssStatusEnum resultCodeEnum : OssStatusEnum.values()){
            if(resultCodeEnum.code == codeVal){
                return resultCodeEnum;
            }
        }
        return null;
    }

}
